package com.fzm.admin.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.EntrustShelf;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.EntrustShelfService;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2022/1/11 17:19
 */
@Authentication
@RestController
@RequestMapping("/entrust/shelf")
@Api(tags = "委托上架")
public class EntrustShelfController {


    @Resource
    private EntrustShelfService entrustShelfService;


    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    public ResponseModel<PageInfo<EntrustShelf>> page(@ApiParam(value = "页码", required = true) @RequestParam Integer pageNum,
                                                      @ApiParam(value = "每页记录数", required = true) @RequestParam Integer pageSize,
                                                      @ApiParam(value = "手机号") @RequestParam(required = false) String telephone,
                                                      @ApiParam(value = "用户姓名") @RequestParam(required = false) String name,
                                                      @ApiParam(value = "审核开始日期 yyyy-MM-dd") @RequestParam(required = false) String from,
                                                      @ApiParam(value = "审核截止日期 yyyy-MM-dd") @RequestParam(required = false) String to) {
        PageInfo<EntrustShelf> pageInfo = entrustShelfService.getPages(pageNum, pageSize, telephone, name, from, to);
        return ResponseModel.success(pageInfo);
    }
}
