package com.fzm.common.config;

import org.redisson.Redisson;
import org.redisson.api.RedissonClient;
import org.redisson.config.Config;
import org.springframework.boot.autoconfigure.data.redis.RedisProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2021/7/19 10:25
 * <p>
 * 单机版redisson客户端配置
 * </p>
 */
@Configuration
public class RedissonConfig {

    @Resource
    RedisProperties redisProperties;

    @Bean
    public RedissonClient redisson() {
        Config config = new Config();
        config.useSingleServer().
                setAddress(String.format("redis://%s:%s", redisProperties.getHost(), redisProperties.getPort())).
                setPassword(redisProperties.getPassword());
        RedissonClient redisson = Redisson.create(config);
        return redisson;
    }
}
