package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/28 11:12
 */
@Data
@Accessors(chain = true)
@ApiModel("个人认证信息")
@TableName("tb_auth_person")
public class AuthPerson {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("身份证号码")
    private String idCard;

    @ApiModelProperty("身份证正面照片(人脸面)")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String cardPictureFront;

    @ApiModelProperty("身份证反面照片(国徽面)")
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String cardPictureBack;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;


}
