package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/30 15:42
 */
@Data
@ApiModel("纪念版nft信息")
@Accessors(chain = true)
@TableName("tb_commemorate_nft")
public class CommemorateNft {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @NotNull(message = "类目id不能为空")
    @ApiModelProperty("类目id")
    private Integer categoryId;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("发行人地址")
    private String publishAddress;

    @NotBlank(message = "名称不能为空")
    @Length(max = 20, message = "名称最大长度为20")
    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("封面")
    private String cover;

    @NotBlank(message = "简介不能为空")
    @Length(max = 500, message = "简介最大长度为500")
    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("文件地址--用户选择不存档的情况下为空")
    private String fileUrl;

    @NotBlank(message = "作品哈希不能为空")
    @ApiModelProperty("文件hash")
    private String fileHash;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("nft token")
    private Long tokenId;

    @ApiModelProperty("nft发行时间")
    private Date publishTime;

    @ApiModelProperty("数量")
    private Integer count;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;

}
