package com.fzm.common.entity;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fzm.common.entity.dto.CopyrightDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@ApiModel(value = "版权作者表")
@TableName("tb_copyright_author")
public class CopyrightAuthor {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "版权id")
    private Integer copyrightId;

    @ApiModelProperty(value = "作者姓名或名称")
    private String name;

    @ApiModelProperty(value = "署名类型  (本名 | 别名 | 匿名)")
    private String signType;

    @ApiModelProperty(value = "签名")
    private String sign;

    private Date createDate;

    private Date updateDate;


    public CopyrightAuthor(CopyrightDTO.Author author) {
        BeanUtil.copyProperties(author, this, true);
    }
}
