package com.fzm.common.entity;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fzm.common.entity.dto.CopyrightDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@NoArgsConstructor
@TableName("tb_copyright_file")
public class CopyrightFile {

    @TableId(type = IdType.AUTO)
    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("版权id")
    private Integer copyrightId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("附件名")
    private String fileName;

    @ApiModelProperty("附件路径")
    private String fileUrl;

    @ApiModelProperty("文件hash")
    private String fileHash;

    @ApiModelProperty("文件扩展名")
    private String fileSuffix;

    @ApiModelProperty("文件大小")
    private long fileSize;

    private Date createDate;

    private Date updateDate;

    public CopyrightFile(CopyrightDTO.File file) {
        BeanUtil.copyProperties(file, this, true);
        this.fileName = file.getFileName().replaceAll(" ", "");
    }
}
