package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fzm.common.valid.InsertGroup;
import com.fzm.common.valid.UpdateGroup;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2022/1/11 17:05
 */
@Data
@TableName("tb_entrust_shelf")
public class EntrustShelf {

    @NotNull(message = "id不能为空", groups = UpdateGroup.class)
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("用户id")
    private Integer userId;

    @NotBlank(message = "nft哈希不能为空", groups = InsertGroup.class)
    @ApiModelProperty("nft哈希")
    private String nftHash;

    @NotBlank(message = "姓名不能为空", groups = InsertGroup.class)
    @ApiModelProperty("姓名")
    private String name;

    @NotBlank(message = "电话号码不能为空", groups = InsertGroup.class)
    @ApiModelProperty("电话号码")
    private String telephone;

    @NotBlank(message = "微信号不能为空", groups = InsertGroup.class)
    @ApiModelProperty("微信号")
    private String wechatNum;

    @ApiModelProperty("0-委托中 1-已取消")
    private Integer status;

    private Date createDate;

    private Date updateDate;

}
