package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/30 15:42
 */
@Data
@ApiModel("纪念版nft上链信息")
@Accessors(chain = true)
@TableName("tb_commemorate_nft_chain_info")
public class NftChainInfo {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("纪念版nft主键")
    private Integer commemorateNftId;

    @ApiModelProperty("nft编号")
    private String nftNum;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("nft token")
    private Long tokenId;

    @ApiModelProperty("nft发行时间")
    private Date publishTime;

    @ApiModelProperty("是否已被领取  0-否 1-是")
    private Integer isReceive;

}
