package com.fzm.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/6/30 15:42
 */
@Data
@ApiModel("nft信息")
@Accessors(chain = true)
@TableName("tb_nft_transfer_record")
public class NftTransferRecord {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("nft主键")
    private Integer nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("交易转让hash")
    private String transferHash;

    @ApiModelProperty("转出人地址")
    private String fromAddress;

    @ApiModelProperty("接收人地址")
    private String toAddress;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date updateDate;


}
