package com.fzm.common.entity.dto;

import cn.hutool.core.date.DateUtil;
import cn.hutool.json.JSONUtil;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/12/23 17:26
 */
@Data
public class CopyrightQueryRequest {

    private String app_id;
    private String charset = "utf-8";
    private String sign;
    private String sign_type = "md5";
    private String timestamp = DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss");
    private String version = "1.0";
    private String biz_content;

    @Data
    @AllArgsConstructor
    public static class BizContent {
        private String serial_code;
    }

    public CopyrightQueryRequest(String serial_code, String app_id) {
        this.app_id = app_id;
        this.biz_content = JSONUtil.toJsonStr(new BizContent(serial_code));
    }
}
