package com.fzm.common.entity.vo;

import com.fzm.common.entity.Category;
import com.fzm.common.entity.Nft;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tangtuo
 * @date 2021/7/1 17:54
 */
@Data
@NoArgsConstructor
public class CollectionNftVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("类目")
    private String category;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("文件路径")
    private String fileUrl;

    @ApiModelProperty("nft编号")
    private String nftId;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("是否是纪念版nft 0-否 1-是")
    private Integer isCommemorate;

    public CollectionNftVo(Nft nft, Category category) {
        this.id = nft.getId();
        this.nftId = nft.getNftId();
        this.category = category.getCategoryName();
        this.name = nft.getName();
        this.cover = nft.getCover();
        this.isCommemorate = nft.getIsCommemorate();
        this.fileUrl = nft.getFileUrl();
    }
}
