package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.CommemorateNft;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class CommemorateNftVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("类目")
    private String category;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("封面")
    private String cover;

    @ApiModelProperty("发行人")
    private String publisher;

    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("文件路径")
    private String fileUrl;

    @ApiModelProperty("钱包地址")
    private String publishAddress;

    @ApiModelProperty("发行个数")
    private Integer publishCount;

    @ApiModelProperty("已领取个数")
    private Integer receiveCount;

    @ApiModelProperty("发行时间")
    private Date publishTime;

    @ApiModelProperty("简介")
    private String synopsis;

    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("0-当前用户已领取 1-纪念版nft还未领取完 2-纪念版nft已领取完")
    private Integer status;

    public CommemorateNftVo(CommemorateNft nft, User user) {
        this.id = nft.getId();
        this.name = nft.getName();
        this.avatar = user.getAvatar();
        this.publishAddress = nft.getPublishAddress();
        this.publishCount = nft.getCount();
        this.publisher = user.getNickname();
        this.nftHash = nft.getNftHash();
        this.publishTime = nft.getPublishTime();
        this.synopsis = nft.getSynopsis();
        this.cover = nft.getCover();
        this.fileName = nft.getFileName();
        this.fileUrl = nft.getFileUrl();
    }

}
