package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class NftCertificateVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("存证名称")
    private String name;


    @ApiModelProperty("存证人")
    private String publisher;


    @ApiModelProperty("nft哈希")
    private String nftHash;

    @ApiModelProperty("存证时间")
    private Date publishTime;

    @ApiModelProperty("作者")
    private String author;


    public NftCertificateVo(Nft nft, User user) {
        this.name = nft.getName();
        this.nftHash = nft.getNftHash();
        this.id = nft.getId();
        this.publisher = user.getNickname();
        this.publishTime = nft.getPublishTime();
        this.author = nft.getAuthor();

    }
}
