package com.fzm.common.entity.vo;

import cn.hutool.core.date.DateUtil;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/7/1 10:35
 */
@Data
public class NftTransferVo {

    @ApiModelProperty("nft主键")
    private Integer id;

    @ApiModelProperty("nft名称")
    private String name;

    @ApiModelProperty("转出人的用户id")
    private Integer userId;

    @ApiModelProperty("转出人的头像")
    private String avatar;

    @ApiModelProperty("转出人的昵称")
    private String nickname;

    @ApiModelProperty("转出人的钱包地址")
    private String wallet;

    @ApiModelProperty("nft编号")
    private String nftId;

    public NftTransferVo(Nft nft, User user) {
        this.id = nft.getId();
        this.name = nft.getName();
        this.userId = user.getId();
        this.avatar = user.getAvatar();
        this.wallet = user.getWallet();
        this.nickname = user.getNickname();
        this.nftId=nft.getNftId();
    }
}
