package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/9 17:42
 */
@Getter
@AllArgsConstructor
public enum AuthorityType {


    PERSONAL(1, "个人作品"),
    COOPERATION(2, "合作作品"),
    LEGAL(3, "法人作品"),
    POST(4, "职务作品"),
    ENTRUST(5, "委托作品"),
    ;

    private int code;
    private String val;

    public static int getByType(String type) {
        for (AuthorityType value : AuthorityType.values()) {
            if (value.getVal().equals(type)) {
                return value.getCode();
            }
        }
        return 0;
    }
}
