package com.fzm.common.enums;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/20 17:35
 */
@AllArgsConstructor
@Getter
public enum CertificatesType {


    ID(1, "省内身份证", 0),
    BUSINESS_LICENSE(2, "营业执照", 1),
    ENTERPRISE_LEGAL(3, "企业法人营业执照", 2),
    ORGANIZATION(4, "组织机构代码证书", 3),
    GOVERNMENT_AFFILIATED_INSTITUTIONS(5, "事业单位法人证书", 4),
    ASSOCIATION(6, "社团法人证书", 5),
    OTHER_VALID(7, "其他有效证件", 7),
    OTHER_CERTIFICATES(8, "组织机构代码证书/其他证书", -1),
    OTHERS(9, "其他证件", -1),
    OFFICERS(10, "军官证", -1),
    STUDENTS(11, "学生证", -1),
    USCC(12, "统一社会信用代码", 6),
    ;

    @ApiModelProperty(value = "证件类型编码(湖北版权局)")
    private int code;
    private String value;
    //0-身份证 1-营业执照  2-企业法人营业执照  3-组织机构代码证书  4-事业单位法人证书  5-社团法人证书  6-统一社会信用代码  7其他有效证件
    @ApiModelProperty(value = "数据库对应的每种证件类型的type")
    private int type;

    public static CertificatesType getByType(int type) {
        for (CertificatesType value : CertificatesType.values()) {
            if (value.getType() == type) {
                return value;
            }
        }
        return ID;
    }

}
