package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author tangtuo
 * @date 2021/12/8 16:06
 */
@Getter
@AllArgsConstructor
public enum OpusProperty {

    ORIGINAL(1, "原创"),
    ADAPTATION(2, "改编"),
    TRANSLATE(3, "翻译"),
    ASSEMBLY(4, "汇编"),
    NOTES(5, "注释"),
    ARRANGEMENT(6, "整理"),
    OTHER(7, "其他"),
    ;
    private int code;
    private String value;

    public static List<String> queryAll() {
        return Arrays.stream(OpusProperty.values()).map(OpusProperty::getValue).collect(Collectors.toList());
    }

    public static int getCode(String value) {
        for (OpusProperty opusProperty : OpusProperty.values()) {
            if (opusProperty.getValue().equals(value)) {
                return opusProperty.getCode();
            }
        }
        return 1;
    }

    public static void main(String[] args) {
        System.out.println(queryAll());
    }
}
