package com.fzm.common.enums;

public enum ResultCode implements IErrorCode {
    SUCCESS(200, "success"),
    FAILED(500, "failed"),
    VALIDATE_FAILED(405, "参数检验失败"),
    UNAUTHORIZED(401, "认证失败"),
    FORBIDDEN(403, "没有相关权限"),
    DATA_ERROR(601, "没找到相关数据"),
    REGISTER_ERROR(410, "注册失败"),
    LOGIN_ERROR(411, "登录失败"),
    FILE_UPLOAD_ERROR(412, "文件上传失败"),
    FILE_DOWNLOAD_ERROR(412, "文件下载失败"),
    TOKEN_VALID_ERROR(413, "token校验失败"),
    CODE_ERROR(414, "验证码发送失败"),
    PUBLISH_ERROR(415, "nft发行失败"),
    RECEIVE_ERROR(416, "nft领取失败"),
    TRANSFER_ERROR(416, "nft转让失败"),
    ID_CARD_VERIFICATION_ERROR(417, "身份证验证失败"),
    OPERATION_FAILED(418, "操作失败"),
    COPYRIGHT_FAILED(420, "版权申请失败"),
    SELECT_FAILED(421, "查询失败"),
    ;


    private Integer code;
    private String message;

    ResultCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
