package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/21 14:15
 */
@Getter
@AllArgsConstructor
public enum SignatureType {

    REAL_NAME(1, "本名"),
    ALIAS(2, "别名"),
    ANONYMOUS(3, "匿名"),
    ;
    private int code;
    private String value;

    public static int getCode(String value) {
        for (SignatureType signatureType : SignatureType.values()) {
            if (signatureType.getValue().equals(value)) {
                return signatureType.getCode();
            }
        }
        return REAL_NAME.getCode();
    }
}
