package com.fzm.common.exception;


import com.fzm.common.enums.IErrorCode;

/**
 * @author ：tangtuo
 * @date ：2021/04/30 16:18
 */
public class GlobalException extends RuntimeException {

    private IErrorCode errorCode;


    private GlobalException(IErrorCode errorCode) {
        super(errorCode.getMessage());
        this.errorCode = errorCode;
    }

    private GlobalException(IErrorCode errorCode, String errorMsg) {
        super(errorMsg);
        this.errorCode = errorCode;
    }

    public static GlobalException newException(IErrorCode errorCode) {
        return new GlobalException(errorCode);
    }

    public static GlobalException newException(IErrorCode errorCode, String errorMsg) {
        return new GlobalException(errorCode, errorMsg);
    }

    public IErrorCode getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(IErrorCode errorCode) {
        this.errorCode = errorCode;
    }

    @Override
    public String getMessage() {
        return super.getMessage();
    }
}
