package com.fzm.common.mapper;

import cn.hutool.core.date.DateTime;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.common.entity.Nft;
import com.fzm.common.entity.vo.CollectionNftVo;
import com.fzm.common.entity.vo.NftListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/30 15:54
 */
@Mapper
public interface NftMapper extends BaseMapper<Nft> {

    /**
     * 查询nft列表
     *
     * @param pageNum
     * @param pageSize
     * @param categoryId
     * @return
     */
    List<Nft> list(@Param("pageNum") Integer pageNum, @Param("pageSize") Integer pageSize, @Param("categoryId") Integer categoryId);

    List<CollectionNftVo> getCollectionList(@Param("list") List<Integer> list);

    /**
     * 后天管理系统根据条件检索
     *
     * @param categoryId
     * @param name
     * @param telephone
     * @param status
     * @param startDate
     * @param endDate
     * @return
     */
    List<NftListVo> page(@Param("categoryId") Integer categoryId, @Param("name") String name, @Param("telephone") String telephone, @Param("status") Integer status, @Param("startDate") DateTime startDate, @Param("endDate") DateTime endDate);

    List<CollectionNftVo> listCurrent(@Param("categoryId") Integer categoryId, @Param("userId") Integer userId);

    List<CollectionNftVo> listCopyright(@Param("userId") Integer userId);
}
