package com.fzm.common.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author tangtuo
 * @date 2021/7/21 17:45
 */
@Data
public class NftTransferParam {

    @ApiModelProperty("nft主键")
    @NotNull(message = "nft主键不能为空")
    private Integer id;

    @ApiModelProperty("验证码")
    @NotBlank(message = "验证码不能为空")
    private String code;

    @ApiModelProperty("短信验证码类型 sms-短信 email-邮箱 voice-语音")
    @NotNull(message = "短信验证码类型不能为空")
    private String codeType;

    @ApiModelProperty("接收人地址")
    @NotBlank(message = "接收人地址不能为空")
    private String receiveWallet;

    @ApiModelProperty("数量")
    @NotNull(message = "数量不能为空")
    private Integer count;
}
