package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.Draft;
import com.fzm.common.entity.dto.DraftDTO;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/10 10:18
 */
public interface DraftService extends IService<Draft> {

    /**
     * 查询用户的草稿列表
     *
     * @param userId
     * @return
     */
    List<Draft> getByUserId(Integer userId);

    /**
     * 删除草稿记录
     *
     * @param id
     * @return
     */
    Boolean delete(Integer id);

    /**
     * 保存草稿
     *
     * @param draft
     * @return
     */
    Integer saveDraft(DraftDTO draft);
}
