package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.EntrustShelf;
import com.github.pagehelper.PageInfo;

/**
 * @author tangtuo
 * @date 2021/6/28 11:28
 */
public interface EntrustShelfService extends IService<EntrustShelf> {

    /**
     * 提交委托上架申请
     *
     * @param entrustShelf
     * @return
     */
    Boolean submit(EntrustShelf entrustShelf);

    /**
     * 取消委托上架申请
     *
     * @param id
     * @return
     */
    Boolean cancel(Integer id);

    /**
     * 分页查询
     *
     * @param pageNum
     * @param pageSize
     * @param telephone
     * @param name
     * @param from
     * @param to
     * @return
     */
    PageInfo<EntrustShelf> getPages(Integer pageNum, Integer pageSize, String telephone, String name, String from, String to);

    /**
     * 根据nft哈希查询详情
     *
     * @param nftHash
     * @return
     */
    EntrustShelf getByNftHash(String nftHash);
}
