package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.NftChainInfo;
import com.fzm.common.entity.NftTransferRecord;
import com.fzm.common.entity.vo.NftTransferDetailVo;
import com.fzm.common.entity.vo.NftTransferRecordVo;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/5 15:08
 */
public interface NftTransferRecordService extends IService<NftTransferRecord> {

    /**
     * 查询转让记录列表
     *
     * @param nftHash
     * @param fromAddress
     * @param toAddress
     * @param startDate
     * @param endDate
     * @return
     */
    List<NftTransferRecordVo> getTransferRecordList(String nftHash, String fromAddress, String toAddress, String startDate, String endDate);

    /**
     * 查询我的转让记录
     *
     * @param type
     * @return
     */
    List<NftTransferDetailVo> list(Integer type);

    /**
     * 转让详情
     *
     * @param id
     * @return
     */
    NftTransferDetailVo getDetail(Integer id);
}
