package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.Admin;
import com.fzm.common.enums.ResultCode;
import com.fzm.common.exception.GlobalException;
import com.fzm.common.mapper.AdminMapper;
import com.fzm.common.service.AdminService;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2021/7/5 15:09
 */
@Service
public class AdminServiceImpl extends ServiceImpl<AdminMapper, Admin> implements AdminService {


    @Resource
    private PasswordEncoder passwordEncoder;

    @Override
    public Admin login(String username, String password) {
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username", username);
        Admin admin = getOne(queryWrapper);
        if (admin == null) {
            throw GlobalException.newException(ResultCode.UNAUTHORIZED, "您还没有注册");
        }
        if (!passwordEncoder.matches(password, admin.getPassword())) {
            throw GlobalException.newException(ResultCode.UNAUTHORIZED, "密码有误");
        }
        return admin;
    }
}
