package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.CopyrightAuthor;
import com.fzm.common.entity.CopyrightFile;
import com.fzm.common.mapper.CopyrightAuthorMapper;
import com.fzm.common.service.CopyrightAuthorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:41
 */
@Service
public class CopyrightAuthorServiceImpl extends ServiceImpl<CopyrightAuthorMapper, CopyrightAuthor> implements CopyrightAuthorService {

    @Resource
    private CopyrightAuthorMapper copyrightAuthorMapper;

    @Override
    public Integer delByCopyrightId(Integer copyrightId) {
        UpdateWrapper<CopyrightAuthor> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("copyright_id", copyrightId);
        return copyrightAuthorMapper.delete(updateWrapper);
    }

    @Override
    public List<CopyrightAuthor> getByCopyrightId(int copyrightId) {
        QueryWrapper<CopyrightAuthor> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("copyright_id", copyrightId);
        return copyrightAuthorMapper.selectList(queryWrapper);
    }
}
