package com.fzm.common.service.impl;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.AuthPerson;
import com.fzm.common.entity.NftTransferRecord;
import com.fzm.common.entity.User;
import com.fzm.common.entity.vo.NftTransferDetailVo;
import com.fzm.common.entity.vo.NftTransferRecordVo;
import com.fzm.common.mapper.AuthPersonMapper;
import com.fzm.common.mapper.NftTransferRecordMapper;
import com.fzm.common.service.AuthPersonService;
import com.fzm.common.service.NftTransferRecordService;
import com.fzm.common.service.UserService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/28 11:29
 */
@Service
public class NftTransferRecordServiceImpl extends ServiceImpl<NftTransferRecordMapper, NftTransferRecord> implements NftTransferRecordService {

    @Resource
    private NftTransferRecordMapper nftTransferRecordMapper;

    @Resource
    private UserService userService;

    @Override
    public List<NftTransferRecordVo> getTransferRecordList(String nftHash, String fromAddress, String toAddress, String startDate, String endDate) {
        DateTime start = null;
        DateTime end = null;
        if (StringUtils.isNotBlank(startDate)) {
            start = DateUtil.parse(startDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        }
        if (StringUtils.isNotBlank(endDate)) {
            end = DateUtil.parse(endDate + " 23:59:59", "yyyy-MM-dd HH:mm:ss");
        }
        return nftTransferRecordMapper.getTransferRecordList(nftHash, fromAddress, toAddress, start, end);
    }

    @Override
    public List<NftTransferDetailVo> list(Integer type) {
        User user = userService.getUserByToken();
        return nftTransferRecordMapper.list(user.getWallet(), type);
    }

    @Override
    public NftTransferDetailVo getDetail(Integer id) {
        return nftTransferRecordMapper.getDetail(id);
    }
}
