package com.fzm.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.common.entity.OpusCategory;
import com.fzm.common.mapper.OpusCategoryMapper;
import com.fzm.common.service.OpusCategoryService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/5 15:08
 */
@Service
public class OpusCategoryServiceImpl extends ServiceImpl<OpusCategoryMapper, OpusCategory> implements OpusCategoryService {

    @Override
    @Cacheable(value = "opus:category", key = "'list'")
    public List<OpusCategory> queryAll() {
        return list();
    }

    @Override
    public OpusCategory getByName(String name) {
        QueryWrapper<OpusCategory> wrapper = new QueryWrapper<>();
        wrapper.eq("value", name);
        return getOne(wrapper);
    }
}
