package com.fzm.common.utils;

import cn.hutool.crypto.SecureUtil;
import cn.hutool.json.JSONUtil;
import com.fzm.common.entity.dto.CopyrightRequest;
import com.fzm.common.properties.CopyrightProperties;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.codec.CodecProperties;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author tangtuo
 * @date 2021/12/23 11:40
 */
@Slf4j
public class CopyrightSignUtil {


    public static String generateSign(TreeMap<String, String> param) {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : param.entrySet()) {
            String key = entry.getKey();
            if ("sign".equals(key)) continue;
            String value = entry.getValue();
            sb.append(key).append("=").append(value).append("&");
        }
        String signStr = sb.deleteCharAt(sb.length() - 1).toString();
        log.info("signStr: {}", signStr);
        return SecureUtil.md5(signStr);
    }
}
