package com.fzm.common.utils;

import com.fzm.common.enums.IdCardVerificationResponse;
import com.fzm.common.enums.ResultCode;
import com.fzm.common.exception.GlobalException;
import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.common.profile.ClientProfile;
import com.tencentcloudapi.common.profile.HttpProfile;
import com.tencentcloudapi.faceid.v20180301.FaceidClient;
import com.tencentcloudapi.faceid.v20180301.models.IdCardOCRVerificationRequest;
import com.tencentcloudapi.faceid.v20180301.models.IdCardOCRVerificationResponse;

/**
 * @author tangtuo
 * @date 2021/9/13 15:13
 */
public class TencentApi {

    public static IdCardOCRVerificationResponse idCardOCRVerification(String imageBase64) {
        // 实例化一个认证对象，入参需要传入腾讯云账户secretId，secretKey,此处还需注意密钥对的保密
        // 密钥可前往https://console.cloud.tencent.com/cam/capi网站进行获取
        Credential cred = new Credential("AKIDlMm3EC2dxXw50f4C4f092ey2pLaaKnyt", "g5D4ey1nJZXEhtoSovkIZYGhqjLgkgNo");
        // 实例化一个http选项，可选的，没有特殊需求可以跳过
        HttpProfile httpProfile = new HttpProfile();
        httpProfile.setEndpoint("faceid.tencentcloudapi.com");
        // 实例化一个client选项，可选的，没有特殊需求可以跳过
        ClientProfile clientProfile = new ClientProfile();
        clientProfile.setHttpProfile(httpProfile);
        // 实例化要请求产品的client对象,clientProfile是可选的
        FaceidClient client = new FaceidClient(cred, "ap-shanghai", clientProfile);
        // 实例化一个请求对象,每个接口都会对应一个request对象
        IdCardOCRVerificationRequest req = new IdCardOCRVerificationRequest();
        req.setImageBase64(imageBase64);
        // 返回的resp是一个IdCardOCRVerificationResponse的实例，与请求对象对应
        try {
            IdCardOCRVerificationResponse resp = client.IdCardOCRVerification(req);
            return resp;
        } catch (TencentCloudSDKException e) {
            throw GlobalException.newException(ResultCode.ID_CARD_VERIFICATION_ERROR, "实名认证失败，失败原因: " + e.getMessage());
        }
    }
}
