package com.fzm.portal.controller;

import com.fzm.common.entity.Authority;
import com.fzm.common.enums.AuthorityType;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.AuthorityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 16:59
 */
@RestController
@RequestMapping("/authority")
@Api(tags = "权力")
public class AuthorityController {

    @Resource
    private AuthorityService authorityService;


    @GetMapping("/list")
    @ApiOperation(value = "查询权力列表")
    public ResponseModel<List<Authority>> list(@RequestParam String authorityAscriptionMode) {
        List<Authority> list = authorityService.getByType(AuthorityType.getByType(authorityAscriptionMode));
        return ResponseModel.success(list);
    }

}
