package com.fzm.portal.controller;

import com.fzm.common.entity.Category;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.CategoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/7/1 14:37
 */
@RestController
@RequestMapping(value = "/category")
@Api(tags = "类目管理")
public class CategoryController {

    @Resource
    private CategoryService categoryService;

    @GetMapping("/list")
    @ApiOperation(value = "查询所有类目信息")
    public ResponseModel<List<Category>> list() {
        return ResponseModel.success(categoryService.listAll());
    }
}
