package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.vo.CollectionNftVo;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.NftService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/6/30 14:57
 */
@RestController
@RequestMapping(value = "/collection")
@Api(tags = "收藏")
public class CollectionController {

    @Resource
    private NftService nftService;


    @Authentication
    @PostMapping("/add")
    @ApiOperation(value = "添加收藏 | 取消收藏", notes = "用户如果已经收藏了当前作品的话就是取消收藏,反之就是收藏")
    public ResponseModel<Boolean> add(@ApiParam(value = "nft的主键") @RequestParam Integer id) {
        Boolean result = nftService.collection(id);
        return ResponseModel.success(result);
    }

    @Authentication
    @GetMapping("/list")
    @ApiOperation(value = "获取用户的收藏列表")
    public ResponseModel<List<CollectionNftVo>> list() {
        List<CollectionNftVo> list = nftService.getCollectionList();
        return ResponseModel.success(list);
    }
}
