package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.EntrustShelf;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.EntrustShelfService;
import com.fzm.common.valid.InsertGroup;
import com.fzm.common.valid.UpdateGroup;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2022/1/11 17:19
 */
@Authentication
@RestController
@RequestMapping("/entrust/shelf")
@Api(tags = "委托上架")
public class EntrustShelfController {


    @Resource
    private EntrustShelfService entrustShelfService;


    @PostMapping("/submit")
    @ApiOperation(value = "提交委托上架申请")
    public ResponseModel<Boolean> submit(@RequestBody @Validated(value = InsertGroup.class) EntrustShelf entrustShelf) {
        return ResponseModel.success(entrustShelfService.submit(entrustShelf));
    }

    @GetMapping("/detail/{nftHash}")
    @ApiOperation(value = "根据nftHash查询委托详情")
    public ResponseModel<EntrustShelf> getById(@PathVariable String nftHash) {
        return ResponseModel.success(entrustShelfService.getByNftHash(nftHash));
    }

    @PostMapping("/update")
    @ApiOperation(value = "修改委托上架信息")
    public ResponseModel<Boolean> updateById(@RequestBody @Validated(value = UpdateGroup.class) EntrustShelf entrustShelf) {
        return ResponseModel.success(entrustShelfService.updateById(entrustShelf));
    }

    @PostMapping("/cancel")
    @ApiOperation("取消委托申请")
    public ResponseModel<Boolean> cancel(@RequestParam Integer id) {
        return ResponseModel.success(entrustShelfService.cancel(id));
    }
}
