package com.fzm.portal.controller;

import com.fzm.common.entity.FileTemplate;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.FileTemplateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/10 16:03
 */
@RestController
@RequestMapping("/file/template")
@Api(tags = "文件模板")
public class FileTemplateController {

    @Resource
    private FileTemplateService fileTemplateService;

    @GetMapping("/list/{type}")
    @ApiOperation(value = "根据类型查询文件列表")
    @ApiImplicitParam(name = "type", value = "附件类型  " +
            "0-权利取得方式证明材料 " +
            "1-代理委托书 " +
            "2-权利归属证明材料《合作作品权属协议书》" +
            "3-权利归属证明材料《著作权权属申请》" +
            "4-权利归属证明材料《职务作品权属约定》 " +
            "5-权利归属证明材料《委托创作协议书（甲方享有全部权利）》,权利归属证明材料《委托创作协议书（作者保留署名权）》")
    public ResponseModel<List<FileTemplate>> listByType(@PathVariable Integer type) {
        List<FileTemplate> list = fileTemplateService.listByType(type);
        return ResponseModel.success(list);
    }
}
