package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.vo.NftTransferDetailVo;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.NftTransferRecordService;
import com.fzm.common.utils.JwtUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/9/14 15:43
 */
@Slf4j
@RestController
@Authentication
@RequestMapping(value = "/nft/transfer/record")
@Api(tags = "nft转让记录")
public class NftTransferRecordController {

    @Resource
    private NftTransferRecordService nftTransferRecordService;

    @GetMapping("/list/{type}")
    @ApiOperation(value = "查询我的nft流转记录")
    public ResponseModel<List<NftTransferDetailVo>> list(@ApiParam("0-所有 1-转出 2-转入") @PathVariable Integer type) {
        List<NftTransferDetailVo> list = nftTransferRecordService.list(type);
        return ResponseModel.success(list);
    }

    @GetMapping("/detail/{id}")
    @ApiOperation(value = "获取流转详情")
    public ResponseModel<NftTransferDetailVo> getDetail(@PathVariable Integer id){
        NftTransferDetailVo nftTransferDetailVo = nftTransferRecordService.getDetail(id);
        return ResponseModel.success(nftTransferDetailVo);
    }
}
