package com.fzm.portal.controller;

import com.fzm.common.entity.OpusCategory;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.OpusCategoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 17:03
 */
@Api(tags = "作品类别")
@RestController
@RequestMapping("/opus/category")
public class OpusCategoryController {

    @Resource
    private OpusCategoryService opusCategoryService;

    @GetMapping("/list")
    @ApiOperation(value = "查询作品类别列表")
    public ResponseModel<List<OpusCategory>> list() {
        return ResponseModel.success(opusCategoryService.queryAll());
    }
}
