package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.utils.ObsUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @author tangtuo
 * @date 2021/7/13 10:34
 */
@RestController
@RequestMapping("/oss")
@Api(tags = "oss相关")
public class OssController {

    @Resource
    private ObsUtil obsUtil;


    @Authentication
    @PostMapping("/upload")
    @ApiOperation("普通文件上传")
    public ResponseModel<String> upload(MultipartFile file) throws IOException {
        return ResponseModel.success(obsUtil.putObject(file));
    }


    @Authentication
    @PostMapping("/download")
    @ApiOperation(value = "下载文件")
    public void download(@RequestParam String fileUrl) {
        String fileName = fileUrl.substring(fileUrl.lastIndexOf("/") + 1);
        obsUtil.downloadFile(fileUrl, fileName);
    }


    @Authentication
    @ApiOperation(value = "删除文件")
    @PostMapping(value = "/delete")
    public ResponseModel<Boolean> delete(String fileUrl) {
        return ResponseModel.success(obsUtil.delete(fileUrl));
    }
}
