/*
 Navicat Premium Data Transfer

 Source Server         : 146.56.197.42
 Source Server Type    : MySQL
 Source Server Version : 50731
 Source Host           : 146.56.197.42:3306
 Source Schema         : joying

 Target Server Type    : MySQL
 Target Server Version : 50731
 File Encoding         : 65001

 Date: 04/01/2022 10:38:39
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for tb_admin
-- ----------------------------
DROP TABLE IF EXISTS `tb_admin`;
CREATE TABLE `tb_admin`  (
                             `id` int(11) NOT NULL AUTO_INCREMENT,
                             `username` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户账号',
                             `nickname` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户昵称',
                             `password` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '密码',
                             `role_id` int(11) NOT NULL COMMENT '所属角色id',
                             `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                             `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                             `create_time` bigint(20) NULL DEFAULT NULL,
                             `update_time` bigint(20) NULL DEFAULT NULL,
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '后台管理用户' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_admin
-- ----------------------------
INSERT INTO `tb_admin` VALUES (1, '18888888888', 'admin', '$2a$10$IFbt4AT8s4JyaNfqvNlHQumP0jqEjffjuWABYrk4xFWeGOx1tkudu', 1, '2021-07-05 06:56:44', '2021-07-05 06:56:44', NULL, NULL);
INSERT INTO `tb_admin` VALUES (2, '17620078872', 'admin', '$2a$10$IFbt4AT8s4JyaNfqvNlHQumP0jqEjffjuWABYrk4xFWeGOx1tkudu', 1, '2021-07-05 06:56:44', '2021-07-05 06:56:44', NULL, NULL);
INSERT INTO `tb_admin` VALUES (3, '18888886666', 'admin', '$2a$10$IFbt4AT8s4JyaNfqvNlHQumP0jqEjffjuWABYrk4xFWeGOx1tkudu', 1, '2021-07-05 06:56:44', '2021-07-05 06:56:44', NULL, NULL);

-- ----------------------------
-- Table structure for tb_auth_enterprise
-- ----------------------------
DROP TABLE IF EXISTS `tb_auth_enterprise`;
CREATE TABLE `tb_auth_enterprise`  (
                                       `id` int(11) NOT NULL AUTO_INCREMENT,
                                       `user_id` int(11) NOT NULL COMMENT '用户id',
                                       `enterprise_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '企业名称',
                                       `uscc` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '统一社会信用代码',
                                       `legal_person_name` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '法人姓名',
                                       `legal_person_card_num` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '法人证件号码',
                                       `mobile` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '法人代表手机号码',
                                       `public_account` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '对公账户',
                                       `bank_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '开户银行',
                                       `bank_branch` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '开户支行',
                                       `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                       `update_date` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                       `create_time` bigint(20) NULL DEFAULT NULL,
                                       `update_time` bigint(20) NULL DEFAULT NULL,
                                       PRIMARY KEY (`id`) USING BTREE,
                                       UNIQUE INDEX `idx_userid`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '企业认证信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_auth_person
-- ----------------------------
DROP TABLE IF EXISTS `tb_auth_person`;
CREATE TABLE `tb_auth_person`  (
                                   `id` int(11) NOT NULL AUTO_INCREMENT,
                                   `user_id` int(11) NULL DEFAULT NULL COMMENT '用户id',
                                   `name` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '姓名',
                                   `id_card` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证号码',
                                   `card_picture_front` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证正面照片(人脸面)',
                                   `card_picture_back` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '身份证反面照片(国徽面)',
                                   `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                   `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                   `create_time` bigint(20) NULL DEFAULT NULL,
                                   `update_time` bigint(20) NULL DEFAULT NULL,
                                   PRIMARY KEY (`id`) USING BTREE,
                                   UNIQUE INDEX `idx_userid`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '个人认证信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_authority
-- ----------------------------
DROP TABLE IF EXISTS `tb_authority`;
CREATE TABLE `tb_authority`  (
                                 `id` int(11) NOT NULL AUTO_INCREMENT,
                                 `authority` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权力',
                                 `type` tinyint(255) NOT NULL DEFAULT 0 COMMENT '类型 0-个人作品 1-合作作品 2-法人作品 3-职务作品 4-委托作品',
                                 PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 86 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '权力拥有情况表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_authority
-- ----------------------------
INSERT INTO `tb_authority` VALUES (1, '发版权', 1);
INSERT INTO `tb_authority` VALUES (2, '署名权', 1);
INSERT INTO `tb_authority` VALUES (3, '修改权', 1);
INSERT INTO `tb_authority` VALUES (4, '保护作品完整权', 1);
INSERT INTO `tb_authority` VALUES (5, '复制权', 1);
INSERT INTO `tb_authority` VALUES (6, '发行权', 1);
INSERT INTO `tb_authority` VALUES (7, '出租权', 1);
INSERT INTO `tb_authority` VALUES (8, '展览权', 1);
INSERT INTO `tb_authority` VALUES (9, '表演权', 1);
INSERT INTO `tb_authority` VALUES (10, '放映权', 1);
INSERT INTO `tb_authority` VALUES (11, '广播权', 1);
INSERT INTO `tb_authority` VALUES (12, '信息网络传播权', 1);
INSERT INTO `tb_authority` VALUES (13, '摄制权', 1);
INSERT INTO `tb_authority` VALUES (14, '改编权', 1);
INSERT INTO `tb_authority` VALUES (15, '翻译权', 1);
INSERT INTO `tb_authority` VALUES (16, '汇编权', 1);
INSERT INTO `tb_authority` VALUES (17, '其他', 1);
INSERT INTO `tb_authority` VALUES (18, '发版权', 2);
INSERT INTO `tb_authority` VALUES (19, '署名权', 2);
INSERT INTO `tb_authority` VALUES (20, '修改权', 2);
INSERT INTO `tb_authority` VALUES (21, '保护作品完整权', 2);
INSERT INTO `tb_authority` VALUES (22, '复制权', 2);
INSERT INTO `tb_authority` VALUES (23, '发行权', 2);
INSERT INTO `tb_authority` VALUES (24, '出租权', 2);
INSERT INTO `tb_authority` VALUES (25, '展览权', 2);
INSERT INTO `tb_authority` VALUES (26, '表演权', 2);
INSERT INTO `tb_authority` VALUES (27, '放映权', 2);
INSERT INTO `tb_authority` VALUES (28, '广播权', 2);
INSERT INTO `tb_authority` VALUES (29, '信息网络传播权', 2);
INSERT INTO `tb_authority` VALUES (30, '摄制权', 2);
INSERT INTO `tb_authority` VALUES (31, '改编权', 2);
INSERT INTO `tb_authority` VALUES (32, '翻译权', 2);
INSERT INTO `tb_authority` VALUES (33, '汇编权', 2);
INSERT INTO `tb_authority` VALUES (34, '其他', 2);
INSERT INTO `tb_authority` VALUES (35, '发版权', 3);
INSERT INTO `tb_authority` VALUES (36, '署名权', 3);
INSERT INTO `tb_authority` VALUES (37, '修改权', 3);
INSERT INTO `tb_authority` VALUES (38, '保护作品完整权', 3);
INSERT INTO `tb_authority` VALUES (39, '复制权', 3);
INSERT INTO `tb_authority` VALUES (40, '发行权', 3);
INSERT INTO `tb_authority` VALUES (41, '出租权', 3);
INSERT INTO `tb_authority` VALUES (42, '展览权', 3);
INSERT INTO `tb_authority` VALUES (43, '表演权', 3);
INSERT INTO `tb_authority` VALUES (44, '放映权', 3);
INSERT INTO `tb_authority` VALUES (45, '广播权', 3);
INSERT INTO `tb_authority` VALUES (46, '信息网络传播权', 3);
INSERT INTO `tb_authority` VALUES (47, '摄制权', 3);
INSERT INTO `tb_authority` VALUES (48, '改编权', 3);
INSERT INTO `tb_authority` VALUES (49, '翻译权', 3);
INSERT INTO `tb_authority` VALUES (50, '汇编权', 3);
INSERT INTO `tb_authority` VALUES (51, '其他', 3);
INSERT INTO `tb_authority` VALUES (52, '发版权', 4);
INSERT INTO `tb_authority` VALUES (53, '署名权', 4);
INSERT INTO `tb_authority` VALUES (54, '修改权', 4);
INSERT INTO `tb_authority` VALUES (55, '保护作品完整权', 4);
INSERT INTO `tb_authority` VALUES (56, '复制权', 4);
INSERT INTO `tb_authority` VALUES (57, '发行权', 4);
INSERT INTO `tb_authority` VALUES (58, '出租权', 4);
INSERT INTO `tb_authority` VALUES (59, '展览权', 4);
INSERT INTO `tb_authority` VALUES (60, '表演权', 4);
INSERT INTO `tb_authority` VALUES (61, '放映权', 4);
INSERT INTO `tb_authority` VALUES (62, '广播权', 4);
INSERT INTO `tb_authority` VALUES (63, '信息网络传播权', 4);
INSERT INTO `tb_authority` VALUES (64, '摄制权', 4);
INSERT INTO `tb_authority` VALUES (65, '改编权', 4);
INSERT INTO `tb_authority` VALUES (66, '翻译权', 4);
INSERT INTO `tb_authority` VALUES (67, '汇编权', 4);
INSERT INTO `tb_authority` VALUES (68, '其他', 4);
INSERT INTO `tb_authority` VALUES (69, '发版权', 5);
INSERT INTO `tb_authority` VALUES (70, '署名权', 5);
INSERT INTO `tb_authority` VALUES (71, '修改权', 5);
INSERT INTO `tb_authority` VALUES (72, '保护作品完整权', 5);
INSERT INTO `tb_authority` VALUES (73, '复制权', 5);
INSERT INTO `tb_authority` VALUES (74, '发行权', 5);
INSERT INTO `tb_authority` VALUES (75, '出租权', 5);
INSERT INTO `tb_authority` VALUES (76, '展览权', 5);
INSERT INTO `tb_authority` VALUES (77, '表演权', 5);
INSERT INTO `tb_authority` VALUES (78, '放映权', 5);
INSERT INTO `tb_authority` VALUES (79, '广播权', 5);
INSERT INTO `tb_authority` VALUES (80, '信息网络传播权', 5);
INSERT INTO `tb_authority` VALUES (81, '摄制权', 5);
INSERT INTO `tb_authority` VALUES (82, '改编权', 5);
INSERT INTO `tb_authority` VALUES (83, '翻译权', 5);
INSERT INTO `tb_authority` VALUES (84, '汇编权', 5);
INSERT INTO `tb_authority` VALUES (85, '其他', 5);

-- ----------------------------
-- Table structure for tb_category
-- ----------------------------
DROP TABLE IF EXISTS `tb_category`;
CREATE TABLE `tb_category`  (
                                `id` int(11) NOT NULL AUTO_INCREMENT,
                                `category_name` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
                                `english_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '',
                                `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                `update_time` bigint(20) NULL DEFAULT NULL,
                                `create_time` bigint(20) NULL DEFAULT NULL,
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '首页类目表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_category
-- ----------------------------
INSERT INTO `tb_category` VALUES (1, '剧本', 'SCRIPT', '2021-07-01 06:28:16', '2021-07-01 06:28:16', NULL, NULL);
INSERT INTO `tb_category` VALUES (2, '视频', 'VIDEO', '2021-07-01 06:29:03', '2021-07-01 06:29:03', NULL, NULL);
INSERT INTO `tb_category` VALUES (3, '电影', 'FILE', '2021-07-01 06:29:20', '2021-07-01 06:29:20', NULL, NULL);
INSERT INTO `tb_category` VALUES (4, '音频', 'AUDIO', '2021-07-01 06:29:42', '2021-07-01 06:29:42', NULL, NULL);
INSERT INTO `tb_category` VALUES (5, '图片', 'PICTURE', '2021-07-01 06:29:58', '2021-07-01 06:29:58', NULL, NULL);
INSERT INTO `tb_category` VALUES (6, '衍生品', 'DERIVATIVE', '2021-07-01 06:30:39', '2021-07-01 06:30:39', NULL, NULL);
INSERT INTO `tb_category` VALUES (7, '其他', 'OTHER', '2021-07-01 06:30:50', '2021-07-01 06:30:50', NULL, NULL);

-- ----------------------------
-- Table structure for tb_collection
-- ----------------------------
DROP TABLE IF EXISTS `tb_collection`;
CREATE TABLE `tb_collection`  (
                                  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                  `user_id` int(11) NOT NULL COMMENT '用户主键',
                                  `nft_id` int(11) NOT NULL COMMENT 'nft主键',
                                  `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                  `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                  PRIMARY KEY (`id`) USING BTREE,
                                  UNIQUE INDEX `idx_userid_nftid`(`user_id`, `nft_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 47 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_commemorate_nft
-- ----------------------------
DROP TABLE IF EXISTS `tb_commemorate_nft`;
CREATE TABLE `tb_commemorate_nft`  (
                                       `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `category_id` int(11) NOT NULL COMMENT '类目id',
                                       `user_id` int(11) NOT NULL COMMENT '发行人用户id',
                                       `publish_address` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '发行人地址',
                                       `name` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作品名称',
                                       `cover` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '封面地址',
                                       `synopsis` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '简介',
                                       `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件名',
                                       `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '文件存储地址',
                                       `file_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '文件hash',
                                       `nft_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'nft哈希',
                                       `token_id` bigint(20) NOT NULL COMMENT 'nft发行的tokenId',
                                       `publish_time` datetime(0) NOT NULL COMMENT '发行时间',
                                       `count` int(11) NOT NULL COMMENT '数量',
                                       `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                       `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                       PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '纪念版nft基本信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_apply
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_apply`;
CREATE TABLE `tb_copyright_apply`  (
                                       `id` int(11) NOT NULL AUTO_INCREMENT,
                                       `serial_num` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '流水号',
                                       `user_id` int(11) NOT NULL COMMENT '用户id',
                                       `nft_hash` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft哈希',
                                       `nft_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft名称',
                                       `register_entrust` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '登记委托书',
                                       `opus_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作品名称',
                                       `opus_category_id` int(11) NOT NULL COMMENT '作品类别id',
                                       `opus_property` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作品性质',
                                       `content_synopsis` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '内容简介',
                                       `create_process` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '创作过程',
                                       `opus_complete_date` date NOT NULL COMMENT '作品完成日期',
                                       `opus_complete_province` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作品完成省份',
                                       `opus_complete_city` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '作品完成城市',
                                       `publish_state` tinyint(1) NOT NULL DEFAULT 0 COMMENT '发表状态  0-未发表  1-已发表',
                                       `first_publish_date` date NULL DEFAULT NULL COMMENT '首次发表日期',
                                       `first_publish_province` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首次发表省份',
                                       `first_publish_city` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '首次发表城市',
                                       `authority_acquire_mode` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权力取得方式',
                                       `authority_acquire_prove` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权力取得证明材料',
                                       `authority_ascription_mode` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权力归属方式',
                                       `authority_ascription_prove` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '权力归属证明材料',
                                       `opus_power_guarantee` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '作品权力保证书',
                                       `apply_time` datetime(0) NOT NULL COMMENT '申请时间',
                                       `register_state` tinyint(1) NOT NULL DEFAULT 0 COMMENT '登记状态 -1:已撤回 0:待审核  2:已提交 3:已驳回 4:登记成功 5:审核失败',
                                       `evidence_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '存证哈希',
                                       `evidence_date` date NULL DEFAULT NULL COMMENT '存证日期',
                                       `reject_reason` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '驳回原因',
                                       `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'json',
                                       `register_code` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '登记证书编号,在版权登记审核通过后生成',
                                       `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                       `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                       PRIMARY KEY (`id`) USING BTREE,
                                       UNIQUE INDEX `idx_nfthash`(`nft_hash`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权申请表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_apply_owner_relation
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_apply_owner_relation`;
CREATE TABLE `tb_copyright_apply_owner_relation`  (
                                                      `copyright_id` int(11) NOT NULL COMMENT '版权id',
                                                      `owner_id` int(11) NOT NULL COMMENT '著作权人id',
                                                      `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '类别 0-自然人  1-法人',
                                                      `owner` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '著作权人',
                                                      `id_number` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '证件号码',
                                                      `is_effective` tinyint(1) NOT NULL DEFAULT 1 COMMENT '是否长期有效 0-否 1-是',
                                                      `effective_start_date` date NULL DEFAULT NULL COMMENT '证件有效起止时间',
                                                      `effective_end_date` date NULL DEFAULT NULL COMMENT '证件有效终止时间',
                                                      `province` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户所在省份',
                                                      `province_code` varchar(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '省对应的code',
                                                      `city` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户所在城市',
                                                      `city_code` varchar(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '市对应的code',
                                                      `id_type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '证件类型  0-身份证 1-营业执照  2-企业法人营业执照  3-组织机构代码证书  4-事业单位法人证书  5-社团法人证书  6-统一社会信用代码  7其他有效证件',
                                                      `positive_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '正面照片 (身份证人像面照片)',
                                                      `back_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '反面照片(身份证国徽面照片)',
                                                      `personal_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手持身份证照片',
                                                      `certificates_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '证件照片(营业执照等)',
                                                      `entrust_prove` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '委托证明',
                                                      `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                                      `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                                      PRIMARY KEY (`copyright_id`, `owner_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权申请记录和著作权人关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_author
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_author`;
CREATE TABLE `tb_copyright_author`  (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `copyright_id` int(11) NOT NULL COMMENT '版权id',
                                        `name` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作者姓名或名称',
                                        `sign_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '署名类型  (本名 | 别名 | 匿名)',
                                        `sign` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '签名',
                                        `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                        `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                        PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权作者表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_authority_relation
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_authority_relation`;
CREATE TABLE `tb_copyright_authority_relation`  (
                                                    `copyright_id` int(11) NOT NULL COMMENT '版权id',
                                                    `authority_id` int(11) NOT NULL COMMENT '权力id'
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权和权力关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_file
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_file`;
CREATE TABLE `tb_copyright_file`  (
                                      `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `copyright_id` int(11) NOT NULL COMMENT '版权id',
                                      `nft_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft哈希',
                                      `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '附件名',
                                      `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '附件路径',
                                      `file_hash` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '文件hash',
                                      `file_suffix` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '文件扩展名',
                                      `file_size` int(11) NOT NULL DEFAULT 0 COMMENT '文件大小(字节数)',
                                      `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                      `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                      PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权附件表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_copyright_owner
-- ----------------------------
DROP TABLE IF EXISTS `tb_copyright_owner`;
CREATE TABLE `tb_copyright_owner`  (
                                       `id` int(11) NOT NULL AUTO_INCREMENT,
                                       `user_id` int(11) NOT NULL COMMENT '用户id',
                                       `type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '类别 0-自然人  1-法人',
                                       `owner` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '著作权人',
                                       `id_number` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '证件号码',
                                       `is_effective` tinyint(1) NOT NULL DEFAULT 1 COMMENT '是否长期有效 0-否 1-是',
                                       `effective_start_date` date NULL DEFAULT NULL COMMENT '证件有效起止时间',
                                       `effective_end_date` date NULL DEFAULT NULL COMMENT '证件有效终止时间',
                                       `province` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户所在省份',
                                       `province_code` varchar(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '省对应的code',
                                       `city` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '用户所在城市',
                                       `city_code` varchar(12) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '市对应的code',
                                       `id_type` tinyint(1) NOT NULL DEFAULT 0 COMMENT '证件类型  0-身份证 1-营业执照  2-企业法人营业执照  3-组织机构代码证书  4-事业单位法人证书  5-社团法人证书  6-统一社会信用代码  7其他有效证件',
                                       `positive_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '正面照片 (身份证人像面照片)',
                                       `back_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '反面照片(身份证国徽面照片)',
                                       `personal_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手持身份证照片',
                                       `certificates_photo` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '证件照片(营业执照等)',
                                       `entrust_prove` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '委托证明',
                                       `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                       `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                       PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '著作权人信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_draft
-- ----------------------------
DROP TABLE IF EXISTS `tb_draft`;
CREATE TABLE `tb_draft`  (
                             `id` int(11) NOT NULL AUTO_INCREMENT,
                             `user_id` int(11) NOT NULL COMMENT '用户id',
                             `content` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '草稿类容',
                             `json` text CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '草稿json串',
                             `step` int(2) NOT NULL COMMENT '保存草稿时编辑到了第几步,方便再次编辑时页面跳转',
                             `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                             `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                             PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '草稿表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_file_template
-- ----------------------------
DROP TABLE IF EXISTS `tb_file_template`;
CREATE TABLE `tb_file_template`  (
                                     `id` int(11) NOT NULL AUTO_INCREMENT,
                                     `file_name` varchar(48) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名',
                                     `file_url` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件路径',
                                     `type` tinyint(1) NULL DEFAULT NULL COMMENT '类型',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '版权附件模板表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_file_template
-- ----------------------------
INSERT INTO `tb_file_template` VALUES (1, '权利取得方式证明材料附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/12955248709c413c88228309f8616159/权利取得方式证明材料附件.docx', 0);
INSERT INTO `tb_file_template` VALUES (2, '业务代理委托书.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/24dcdfbcfacc4b44b809442e2bf9ef60/业务代理委托书.docx', 1);
INSERT INTO `tb_file_template` VALUES (3, '权利归属证明材料《合作作品权属协议书》附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/2a95a9e93db8491d8eba9b90acbb3d28/权利归属证明材料《合作作品权属协议书》附件.docx', 2);
INSERT INTO `tb_file_template` VALUES (4, '权利归属证明材料《著作权权属申请》附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/4cb8da9079fa450a80a521c4254c5e28/权利归属证明材料《著作权权属申请》附件.docx', 3);
INSERT INTO `tb_file_template` VALUES (5, '权利归属证明材料《职务作品权属约定》附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/f3e53d61319041808b225600f0e52ff9/权利归属证明材料《职务作品权属约定》附件.docx', 4);
INSERT INTO `tb_file_template` VALUES (6, '权利归属证明材料《委托创作协议书（甲方享有全部权利）》附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/6536706db4354a1fb953245c63d0d7c8/权利归属证明材料《委托创作协议书（甲方享有全部权利）》附件.docx', 5);
INSERT INTO `tb_file_template` VALUES (7, '权利归属证明材料《委托创作协议书（作者保留署名权）》附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/85a41572552b418894db27a320cc5084/权利归属证明材料《委托创作协议书（作者保留署名权）》附件.docx', 5);
INSERT INTO `tb_file_template` VALUES (8, '作品登记委托书.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/d43a44b990354b17899517b1b5fb91c0/作品登记委托书.docx', 6);
INSERT INTO `tb_file_template` VALUES (9, '权利保证书（作品）附件.docx', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/9283eb13f3724676a7113c2cde002a57/权利保证书（作品）附件.docx', 7);

-- ----------------------------
-- Table structure for tb_nft
-- ----------------------------
DROP TABLE IF EXISTS `tb_nft`;
CREATE TABLE `tb_nft`  (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `category_id` int(11) NOT NULL COMMENT '类目id',
                           `user_id` int(11) NULL DEFAULT NULL COMMENT '当前nft所属人的用户id',
                           `publish_address` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '发行人地址',
                           `name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '名称',
                           `cover` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '封面',
                           `author` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '作者',
                           `synopsis` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '简介',
                           `file_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件名',
                           `file_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '文件地址--用户选择不存档的情况下为空',
                           `file_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '文件上链hash',
                           `nft_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft编号',
                           `nft_hash` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT 'nft哈希',
                           `token_id` bigint(20) NULL DEFAULT NULL COMMENT 'nft token',
                           `publish_time` datetime(0) NULL DEFAULT NULL COMMENT 'nft发行时间',
                           `transfer_hash` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '交易转让hash',
                           `commemorate_id` int(11) NULL DEFAULT NULL COMMENT '纪念版nft主键',
                           `is_top` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否置顶  0-否  1-是',
                           `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '0: 下架   1:上架',
                           `is_commemorate` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否纪念版nft 0-否 1-是',
                           `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                           `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                           `create_time` bigint(20) NULL DEFAULT NULL,
                           `update_time` bigint(20) NULL DEFAULT NULL,
                           PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_nft
-- ----------------------------
INSERT INTO `tb_nft` VALUES (1, 1, 1, '', 'gfbf', 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/03d00c78f9ad466e8fc42516e48f775a/zx_default_img.png', '葛晓康', 'bfgb', NULL, NULL, '0e237864ac6fafe4ae4760e7a5e6c0f2', '', '', NULL, NULL, '', NULL, 0, 0, 0, '2022-01-04 10:38:16', '2022-01-04 10:38:16', 1641263896093, 1641263896093);

-- ----------------------------
-- Table structure for tb_nft_transfer_record
-- ----------------------------
DROP TABLE IF EXISTS `tb_nft_transfer_record`;
CREATE TABLE `tb_nft_transfer_record`  (
                                           `id` int(11) NOT NULL AUTO_INCREMENT,
                                           `nft_id` int(11) NOT NULL COMMENT 'nft主键',
                                           `nft_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'nft哈希',
                                           `transfer_hash` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '转让哈希',
                                           `from_address` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '转出人地址',
                                           `to_address` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '接收人地址',
                                           `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                           `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                                           `is_effective` tinyint(1) NULL DEFAULT 1 COMMENT '是否有效 0-否 1-是',
                                           PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'nft转让记录表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_opus_category
-- ----------------------------
DROP TABLE IF EXISTS `tb_opus_category`;
CREATE TABLE `tb_opus_category`  (
                                     `id` int(11) NOT NULL AUTO_INCREMENT,
                                     `value` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '作品类别',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '作品类别' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_opus_category
-- ----------------------------
INSERT INTO `tb_opus_category` VALUES (1, '文字作品（小说、论文、剧本、商业计划书、歌词等）');
INSERT INTO `tb_opus_category` VALUES (2, '口述作品（即兴的演说、授课、法庭辩论等）');
INSERT INTO `tb_opus_category` VALUES (3, '音乐作品（词曲、器乐等）');
INSERT INTO `tb_opus_category` VALUES (4, '戏剧作品（话剧、歌剧、地方戏剧、广播剧等）');
INSERT INTO `tb_opus_category` VALUES (5, '曲艺作品（相声、大鼓、快书、评书等）');
INSERT INTO `tb_opus_category` VALUES (6, '舞蹈作品（现代舞、民族舞、中国古典舞、爵士舞、肚皮舞、钢管舞等）');
INSERT INTO `tb_opus_category` VALUES (7, '杂技艺术（柔术、顶碗、走钢丝、变戏法、舞狮子、车技等）');
INSERT INTO `tb_opus_category` VALUES (8, '美术作品（包装图、效果图、玩具、商标标识、漫画、雕塑等）');
INSERT INTO `tb_opus_category` VALUES (9, '建筑作品（民用建筑、工业建筑、农业建筑、公共建筑等）');
INSERT INTO `tb_opus_category` VALUES (10, '摄影作品（人像摄影、记录摄影、艺术摄影、全息摄影、全景摄影、商业摄影等）');
INSERT INTO `tb_opus_category` VALUES (11, '电影作品（纪录片、动画电影、动作电影、科幻电影、悬疑电影等）');
INSERT INTO `tb_opus_category` VALUES (12, '以类似摄制电影的方法创作的作品（短片、录像、短视频、电视剧、动画片等）');
INSERT INTO `tb_opus_category` VALUES (13, '工程设计图、产品设计图（平面设计图、立面图、剖面图、施工图、工业设计图纸、服装设计图纸等）');
INSERT INTO `tb_opus_category` VALUES (14, '地图、示意图（地图、桌面图、立体图）');
INSERT INTO `tb_opus_category` VALUES (15, '模型作品（立体模型）');
INSERT INTO `tb_opus_category` VALUES (16, '录音制品（任何对表演的声音和其他声音的录制品）');
INSERT INTO `tb_opus_category` VALUES (17, '录像制品（电影作品和以类似摄制电影的方法创作的作品以外的任何有伴音或无伴音的连续相关形象、图像的制品）');
INSERT INTO `tb_opus_category` VALUES (18, '其他作品（法律、行政法律规定的其他作品等）');

-- ----------------------------
-- Table structure for tb_user
-- ----------------------------
DROP TABLE IF EXISTS `tb_user`;
CREATE TABLE `tb_user`  (
                            `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                            `telephone` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
                            `email` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
                            `password` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '密码',
                            `wallet` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '钱包地址',
                            `nickname` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '昵称',
                            `signature` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '个性签名',
                            `avatar` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '头像',
                            `auth_type` tinyint(1) NOT NULL DEFAULT 2 COMMENT '认证类型  0-个人认证  1-企业认证 2-未认证',
                            `auth_status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '实名认证状态  0-未认证  1-认证成功  2-认证失败 3-认证中',
                            `is_publish` tinyint(1) NOT NULL DEFAULT 0 COMMENT '是否发行过nft作品  0-否  1-是',
                            `create_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP,
                            `update_date` datetime(0) NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0),
                            `create_time` bigint(20) NULL DEFAULT NULL,
                            `update_time` bigint(20) NULL DEFAULT NULL,
                            PRIMARY KEY (`id`) USING BTREE,
                            UNIQUE INDEX `idx_telephone`(`telephone`) USING BTREE,
                            UNIQUE INDEX `idx_email`(`email`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '门户用户表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of tb_user
-- ----------------------------
SET FOREIGN_KEY_CHECKS = 1;

-- v2.0.0
alter table tb_copyright_apply modify column create_process varchar(1000) NOT NULL DEFAULT '' COMMENT '创作过程';
UPDATE `tb_file_template` SET `file_name` = '业务代理委托书.docx', `file_url` = 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/5444e0358d6b4038806b5a63d60284e5/业务代理委托书.docx', `type` = 1 WHERE `id` = 2;
UPDATE `tb_file_template` SET `file_name` = '作品登记委托书.docx', `file_url` = 'https://filmchain-file.obs.cn-east-3.myhuaweicloud.com/88c2f750cabd44e4b75f3cb054b3326a/作品登记委托书.docx', `type` = 6 WHERE `id` = 8;
alter table tb_nft add column evidencer varchar(20) not null default '' comment '存证人' after author;
ALTER TABLE tb_copyright_author MODIFY COLUMN `name` VARCHAR ( 100 ) NOT NULL DEFAULT '' COMMENT '作者姓名或名称';
ALTER TABLE tb_copyright_author MODIFY COLUMN `sign` VARCHAR ( 100 ) NOT NULL DEFAULT '' COMMENT '签名';
ALTER TABLE tb_copyright_owner MODIFY COLUMN `owner` VARCHAR ( 100 ) NOT NULL DEFAULT '' COMMENT '著作权人';

-- v2.0.1
ALTER TABLE tb_copyright_apply ADD COLUMN pass_time datetime DEFAULT NULL COMMENT '版权申请后台核验通过时间' AFTER apply_time;
UPDATE `tb_opus_category` SET `value` = '文字作品' WHERE `id` = 1;
UPDATE `tb_opus_category` SET `value` = '口述作品' WHERE `id` = 2;
UPDATE `tb_opus_category` SET `value` = '音乐作品' WHERE `id` = 3;
UPDATE `tb_opus_category` SET `value` = '戏剧作品' WHERE `id` = 4;
UPDATE `tb_opus_category` SET `value` = '曲艺作品' WHERE `id` = 5;
UPDATE `tb_opus_category` SET `value` = '舞蹈作品' WHERE `id` = 6;
UPDATE `tb_opus_category` SET `value` = '杂技艺术' WHERE `id` = 7;
UPDATE `tb_opus_category` SET `value` = '美术作品' WHERE `id` = 8;
UPDATE `tb_opus_category` SET `value` = '建筑作品' WHERE `id` = 9;
UPDATE `tb_opus_category` SET `value` = '摄影作品' WHERE `id` = 10;
UPDATE `tb_opus_category` SET `value` = '电影作品' WHERE `id` = 11;
UPDATE `tb_opus_category` SET `value` = '以类似摄制电影的方法创作的作品' WHERE `id` = 12;
UPDATE `tb_opus_category` SET `value` = '工程设计图、产品设计图' WHERE `id` = 13;
UPDATE `tb_opus_category` SET `value` = '地图、示意图' WHERE `id` = 14;
UPDATE `tb_opus_category` SET `value` = '模型作品' WHERE `id` = 15;
UPDATE `tb_opus_category` SET `value` = '录音制品' WHERE `id` = 16;
UPDATE `tb_opus_category` SET `value` = '录像制品' WHERE `id` = 17;
UPDATE `tb_opus_category` SET `value` = '其他作品' WHERE `id` = 18;
